#include <stdio.h>
int sommeL(int unemat[10][10], int unN, int uneL)
{	
	int j;
	int somme=0;
	for(j=0;j<unN-1;j++)
	{	
		somme+=unemat[uneL][j];
	}
	return somme;
}

bool magique(int uneMat[10][10], int unN)
{
	int i;
	int laL0=sommeL(uneMat,unN,0);
	for(i=1;i<unN;i++)
	{	
		if(sommeL(uneMat,unN,i)!=laL0)
		return false;
		for(i=1;i<unN;i++)
		if(sommeC(uneMat,unN,i)!=laL0)
		return false;
	}
    return true
}


//bool parfait(int uneMat